List blocked email logs

Returns inbound emails that were blocked, most recently blocked first, optionally filtered by block entry, sender, or block time (`after`, `before`).

GET
/v1/email/blocks/logs

Returns inbound emails that were blocked, most recently blocked first, optionally filtered by block entry, sender, or block time (after, before). Pass nextCursor back as cursor for the next page; it is null on the last page.

x-api-key<token>

In: header

Query Parameters

blockedEmailId?|null
fromAddress?string|null
after?string|null
before?string|null
limit?string|null
cursor?CursorEncoded|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/email/blocks/logs"
{  "items": [    {      "id": "string",      "fromAddress": "string",      "toAddress": "string",      "subject": "string",      "blockType": "email",      "blockValue": "string",      "blockReason": "string",      "spfResult": "pass",      "dkimResult": "pass",      "dmarcResult": "pass",      "blockedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation